$.extend({
	Confirm: function() {
		var template = multiline(function() {
			console.log()
		});
		return function(title, content, btns_num) {
			var title = title || '',
				content = content || '',
				btns_num = btns_num || 2,
				ok, cancel, result = {
					ok: function(func) {
						ok = func;
						return result;
					},
					cancel: function(func) {
						cancel = func;
						return result;
					}
				};
			var dom = $('<div>').html(template);
			btns_num == 1 ? dom.find('.jquery-confirm-cancel').remove() : dom.find('.jquery-confirm-ok').css('border-left', '1px solid #F2F2F2');
			dom.on('touchmove', function() {
				return false;
			});
			dom.find('.jquery-confirm-title').html(title);
			dom.find('.jquery-confirm-content').html(content);
			dom.find('.jquery-confirm-ok').on('click', function() {
				ok && ok();
				dom.remove();
			});
			dom.find('.jquery-confirm-cancel').on('click', function() {
				cancel && cancel();
				dom.remove();
			});
			dom.appendTo($('body'));
			return result;
		}

		function multiline(fn) {
			var reCommentContents = /\/\*!?(?:\@preserve)?[ \t]*(?:\r\n|\n)([\s\S]*?)(?:\r\n|\n)[ \t]*\*\//;
			if (typeof fn !== 'function') {
				throw new TypeError('Expected a function');
			}
			var match = reCommentContents.exec(fn.toString());
			if (!match) {
				throw new TypeError('Multiline comment missing.');
			}
			return match[1];
		};
	}()
});



function bl() {
	var key = document.getElementById("key").value,
		user = document.getElementById("user").value,
		pwd = document.getElementById("pwd").value;
	if (key.length != 12) return confirm("请输入您的兑换码！!", 1), 0;
	if (user.length == 0 && pwd.length == 0) {
		layer.open({
			type: 2,
			shadeClose: !1,
			time: 2E3
		});
		$.ajax({
			type: "post",
			url: "./php/bl.php?act=query",
			data: {
				"key": key,
			},
			dataType: "json",
			success: function(a) {
				layer.closeAll();
				switch (a.code) {
				case 0:
					text = "尊敬的：" + user + "您好！<br>您已成功提交充值！<br>在本页面输入您的兑换码（无需账号密码）即可查询状态";
					break;
				case 1:
					text = "您好！<br>订单当前进度为：待充值<br>请耐心等待，预计将在24小时内为您充值";
					break;
				case 2:
					text = "您好！<br>您提交的用户名或密码错误！<br>请检查后重新使用此兑换码提交";
					break;
				case 3:
					text = "您好！<br>订单当前进度为：充值中<br>已经在充值中了！会员很快就到账啦！";
					break;
				case 4:
					text = "您好！<br>您的会员已经到账啦，赶快到游戏里面看看吧！";
					break;
				case 5:
					text = "您好！<br>订单当前进度为：已取消<br>请重新使用此兑换码提交";
					break;
				case 6:
					text = "您好！<br>订单当前进度为：封禁兑换<br>请等待封禁结束重新使用此兑换码提交";
					break;
				case 7:
					text = "您好！<br>订单当前进度为：待查询";
					break;
				case 8:
					text = "您好！<br>订单当前进度为：已查询";
					break;
				case 9:
					text = "您好！<br>你已经充值过会员了 本次兑换码不退！";
					break;
				case 10:
					text = "您好！<br>您提交的账号不存在<br>请检查后重新使用此兑换码提交";
					break;
					break;
				case -1:
					text = "您还没有输入兑换码！";
					break;
				case -2:
					text = "您还没有输入球球大作战用户名！";
					break;
				case -3:
					text = "您还没有输入球球大作战用户密码！";
					break;
				case -4:
					text = "您输入的兑换码不存在";
					break;
				case -5:
					text = "您输入的兑换码已被使用，请把用户名和密码清空只输入兑换码查看进度";
					break;
				case -6:
				case -7:
					text = a.msg;
					break;
				case -8:
					text = "您输入的兑换码还未使用，不能查询";
					break;
				case -9:
					text = "错误代码-9！";
					break;
				case -10:
					text = " 您好！<br>由于您在补领期间修改了密码，本次会员不到账</font>";;
					break;
				default:
					text = "未知！请重试！请刷新页面！";
				}
				layer.open({
					content: '<P class="guanggao">' + text + "</p>"
				})
			},
			error: function(a) {
				layer.closeAll();
				layer.open({
					content: '<P class="guanggao">连接服务器失败，请刷新页面重试！</p>'
				})
			}
		})
	} else {
		if (user != null && user.length > 14) return $.Confirm(" ", "请正确输入您的球球大作战用户名!", 1), 0;
		if (pwd != null && pwd.length > 14) return $.Confirm(" ", "请正确输入您的球球大作战密码!", 1), 0;
		layer.open({
			type: 2,
			shadeClose: !1,
			time: 2E3
		});
		$.ajax({
			type: "post",
			url: "./php/bl.php?act=buy",
			data: {
				"key": key,
				"user": user,
				"pass": pwd,
			},
			dataType: "json",
			success: function(a) {
				layer.closeAll();
				switch (a.code) {
				case 0:
					text = "尊敬的：" + user + "您好！<br>您已成功提交充值！<br>在本页面输入您的兑换码（无需账号密码）即可查询状态";
					break;
				case 1:
					text = "您好！<br>订单当前进度为：待充值<br>请耐心等待，预计将在24小时内为您充值";
					break;
				case 2:
					text = "您好！<br>您提交的用户名或密码错误！<br>请检查后重新使用此兑换码提交";
					break;
				case 3:
					text = "您好！<br>订单当前进度为：充值中<br>已经在充值中了！会员很快就到账啦！";
					break;
				case 4:
					text = "您好！<br>您的会员已经到账啦，赶快到游戏里面看看吧！";
					break;
				case 5:
					text = "您好！<br>订单当前进度为：已取消<br>请重新使用此兑换码提交";
					break;
				case 6:
					text = "您好！<br>订单当前进度为：封禁兑换<br>请等待封禁结束重新使用此兑换码提交";
					break;
				case 7:
					text = "您好！<br>订单当前进度为：待查询";
					break;
				case 8:
					text = "您好！<br>订单当前进度为：已查询";
					break;
				case 9:
					text = "您好！<br>你已经充值过会员了 本次兑换码不退！";
					break;
				case 10:
					text = "您好！<br>您提交的账号不存在<br>请检查后重新使用此兑换码提交";
					break;
					break;
				case -1:
					text = "您还没有输入兑换码！";
					break;
				case -2:
					text = "您还没有输入球球大作战用户名！";
					break;
				case -3:
					text = "您还没有输入球球大作战用户密码！";
					break;
				case -4:
					text = "您输入的兑换码不存在";
					break;
				case -5:
					text = "您输入的兑换码已被使用，请把用户名和密码清空只输入兑换码查看进度";
					break;
				case -6:
				case -7:
					text = a.msg;
					break;
				case -8:
					text = "您输入的兑换码还未使用，不能查询";
					break;
				case -9:
					text = "错误代码-9！";
					break;
				case -10:
					text = " 您好！<br>由于您在补领期间修改了密码，本次会员不到账</font>";;
					break;
				default:
					text = "未知！请重试！请刷新页面！";
				}
				layer.open({
					content: '<P class="guanggao">' + text + "</p>"
				})
			},
			error: function(a) {
				layer.closeAll();
				layer.open({
					content: '<P class="guanggao">连接服务器失败，请刷新页面重试！</p>'
				})
			}
		})
	}
}(function() {
	var bp = document.createElement('script');
	var curProtocol = window.location.protocol.split(':')[0];
	if (curProtocol === 'https') {
		bp.src = 'https://zz.bdstatic.com/linksubmit/push.js';
	} else {
		bp.src = 'http://push.zhanzhang.baidu.com/push.js';
	}
	var s = document.getElementsByTagName("script")[0];
	s.parentNode.insertBefore(bp, s);
})();
var _hmt = _hmt || [];
(function() {
	var hm = document.createElement("script");
	hm.src = "//hm.baidu.com/hm.js?be7ce139bf09119b23c077ada496d9c1";
	var s = document.getElementsByTagName("script")[0];
	s.parentNode.insertBefore(hm, s);
})();
